function GameScreen:InitScreen()
    self:LoadScreen()
    
    self:FadeOut();
    self.disable = false
    DelayedExec(0.5, function() 
        self:Show()
    end)
end

function GameScreen:OnClick(item_name)
    if(item_name == "tool_found_continue" and not self.disable) then
        SoundPlay("sound/interface/button.ogg")
        self.disable = true;
        self:FadeIn();
        if(self.end_fun) then
            self:end_fun()
        end
        DelayedExec(0.5, function() 
            clScreenManager:remove_screen(self); 
        end)
    end
end

function GameScreen:Show(_resource, _pos_x, _pos_y)
    self:CreateObj(OBJ_TYPE.ACTIVE_ALL, "tool_found_back_trigger", "graphics/trigger", 0, 0, WINDOW_WIDTH, WINDOW_HEIGHT);
    ItemSetOpacity("tool_found_back_trigger", 0.5)
    self:CreateObj(OBJ_TYPE.NO_ACTIVE, "tool_found_img", self._resource, 435, 158);
    self:CreateObj(OBJ_TYPE.ACTIVE_ALL, "tool_found_continue", "graphics/interface/hud/continue_tutorial", 584, 570);
    ItemSetDepth("menu_button_screen", LAYERS.FRONT_MOST)
end

function GameScreen:LoadScreen()
    
end